ApiAddCustomCertsArguments (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiAddCustomCertsArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiAddCustomCertsArguments

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiAddCustomCertsArguments
      extends Object

  Arguments to add custom certificates to the Auto-TLS certificate database

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiAddCustomCertsArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiAddCustomCertsArguments` | `addHostCertsItem(ApiHostCertInfo hostCertsItem)`
    `boolean` | `equals(Object o)`
    `List<ApiHostCertInfo>` | `getHostCerts()` A list of HostCertInfo objects, which associate a hostname with the corresponding certificate and private key.
    `Boolean` | `getInterpretAsFilenames()` Whether the following arguments are interpreted as filenames local to the Cloudera Manager host (true, default) or as the actual data for that argument: * hostCerts.hostCert * hostCerts.hostKey If HTTPS has not been enabled on the Cloudera Manager Admin Console and API, we *strongly* recommend that you pass the arguments as filenames local to the Cloudera Manager host (i.e.
    `String` | `getLocation()` The location on disk to store the CMCA directory.
    `int` | `hashCode()`
    `ApiAddCustomCertsArguments` | `hostCerts(List<ApiHostCertInfo> hostCerts)`
    `ApiAddCustomCertsArguments` | `interpretAsFilenames(Boolean interpretAsFilenames)`
    `ApiAddCustomCertsArguments` | `location(String location)`
    `void` | `setHostCerts(List<ApiHostCertInfo> hostCerts)`
    `void` | `setInterpretAsFilenames(Boolean interpretAsFilenames)`
    `void` | `setLocation(String location)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiAddCustomCertsArguments

          public ApiAddCustomCertsArguments()

  - ### Method Detail

    - #### location

          public ApiAddCustomCertsArguments location(String location)

    - #### getLocation

          public String getLocation()

      The location on disk to store the CMCA directory. If there is already a CMCA created there, it will be backed up, and a new one will be created in its place.
      Returns:
        location

    - #### setLocation

          public void setLocation(String location)

    - #### interpretAsFilenames

          public ApiAddCustomCertsArguments interpretAsFilenames(Boolean interpretAsFilenames)

    - #### getInterpretAsFilenames

          public Boolean getInterpretAsFilenames()

      Whether the following arguments are interpreted as filenames local to the Cloudera Manager host (true, default) or as the actual data for that argument: * hostCerts.hostCert * hostCerts.hostKey If HTTPS has not been enabled on the Cloudera Manager Admin Console and API, we *strongly* recommend that you pass the arguments as filenames local to the Cloudera Manager host (i.e. set to true) to avoid leaking sensitive information over the wire in plaintext.
      Returns:
        interpretAsFilenames

    - #### setInterpretAsFilenames

          public void setInterpretAsFilenames(Boolean interpretAsFilenames)

    - #### hostCerts

          public ApiAddCustomCertsArguments hostCerts(List<ApiHostCertInfo> hostCerts)

    - #### addHostCertsItem

          public ApiAddCustomCertsArguments addHostCertsItem(ApiHostCertInfo hostCertsItem)

    - #### getHostCerts

          public List<ApiHostCertInfo> getHostCerts()

      A list of HostCertInfo objects, which associate a hostname with the corresponding certificate and private key. Only used if customCA == true.
      Returns:
        hostCerts

    - #### setHostCerts

          public void setHostCerts(List<ApiHostCertInfo> hostCerts)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.